
typedef struct PortDataTag
{
  char path[256];
  int fd;
  int isatty;
  int isahub;
  int eof,werror,rerror,verror;
  volatile unsigned long rxCount;
  volatile unsigned long txCount;
  unsigned long rxCountLast;
  unsigned long txCountLast;
  float         rxThroughput;
  float         txThroughput;
  int verifyData;
  int vcount;
  int suspend;
  pthread_t     threadId;
  tQueue        monitorQueue;
  struct timeval timeLastAvg;
  struct timeval timeLastRefresh;
  int noRxData;
  int disconnected;
} tPortData;
